## 多玩评论  

### 开发人员（维护）
唐喜君，定造（后端接口）  
### 目录  
dw_f2e\amkit\p\comment  
### 需求  
除了图库评论不变外，其他都用新版评论  
### 思路  
根据域名判断，异步加载对应的js和css,入口文件main.js可以看到，新建对应模板分支，后续按照需求变更  
### 注意  
执行grunt命令build完文件后，只提交评论那部分代码即可，避免影响其他代码，要刷新cdn  
### 入口  
```html
<script>
var comment3Uniqid = '4e6d9cfa1eebdc8a2edf97c0929c1e81';
</script>
<a name='comment_top'></a><div id="comment_frame"></div>
<script src="//assets.dwstatic.com/amkit/entry.js" data-entry="p/comment/main"></script>
```

## 测试  

### 本地测试   
1.配置host：本地ip  开通评论的专区域名  

[![avatar](../image/cms32.png)](../image/cms32.png)  

2.demo页传入专区评论id

### 测试环境（test-assets.dwstatic.com）   

1.拿一篇文章页源码copy下来在开通评论的专区内新建模板  

2.test-assets.dwstatic.com(需要绑定host)->测试入口

[![avatar](../image/cms33.png)](../image/cms33.png)  

3.需要新增配置window.dw_seajs_base_host,window.dw_seajs_base

```html
<script>

window.dw_seajs_base_host = "//test-assets.dwstatic.com/";
window.dw_seajs_base = "http://test-assets.dwstatic.com/amkit/"

var comment3Uniqid = '4e6d9cfa1eebdc8a2edf97c0929c1e81';

</script>
<a name='comment_top'></a><div id="comment_frame"></div>

<script src="//test-assets.dwstatic.com/amkit/entry.js" data-entry="p/comment/main"></script>
```
